XRMS with Postgres

Help
2012-09-25
2013-04-26
  • N Gururaja Rao

    N Gururaja Rao - 2012-09-25

    I  checked out latest CVS trunk and tired to install xrms with Postgres. I have a amd64 laptop with Debian Squeeze installed.

    I am getting the following error:

    "Deprecated: Assigning the return value of new by reference is deprecated in /opt/include/adodb/adodb-xmlschema.inc.php on line 404 Deprecated: Assigning the return value of new by reference is deprecated in /opt/include/adodb/adodb-xmlschema.inc.php on line 416 Deprecated: Function set_magic_quotes_runtime() is deprecated in /opt/include/adodb/adodb-xmlschema.inc.php on line 1445 "

    I tried using adodb4.68 and even freshly downloaded adodb5. On Postgres side I used both 8.4 and 9.1 with corresponding drivers postgres8 and postgres9. I am getting this error in all combinations.

    I tried to install XRMS with adodb4.68 and Mysql. It went through like a knife in butter.

    Several places it was claimed that adodb will support postgres. Can any one help me in correcting the xmlschema.inc.php? I have other application compulsions to use Postgres.

    Thanks in advance

     
  • PMan

    PMan - 2012-09-26

    To my knowledge, xrms never supported Postgres. It's a great app, but no developers. The last "release" was in 2006. There have been updates to the repo since then, but I think it's been over a year since any of the 3 admins have posted.

    It's a shame, xrms was/is a great app…

    Try Epesi BIM. It's open source, PHP and uses MySQL or Postgres.

    Regards

     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks